Name:		epdfview
Version:	0.1.6
Release:	3%{?dist}
Summary:	Lightweight PDF document viewer

Group:		Applications/Publishing
License:	GPLv2+
URL:		http://trac.emma-soft.com/epdfview
Source0:	http://trac.emma-soft.com/epdfview/chrome/site/releases/%{name}-%{version}.tar.bz2
Patch0:		%{name}-compile-fix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	%{!?fc8: poppler-glib-devel} %{?fc8: poppler-devel}
BuildRequires:	gtk2-devel glib2-devel cups-devel
BuildRequires:	desktop-file-utils

%description
ePDFView is a lightweight PDF document viewer using Poppler and GTK+ libraries.
The aim of ePDFView is to make a simple PDF document viewer, in the lines of
Evince but without using the Gnome libraries.

%prep
%setup -q
%patch -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

desktop-file-install \
	--dir=%{buildroot}%{_datadir}/applications \
	--vendor=fedora \
	--delete-original \
	--remove-category Office \
	--add-category Graphics \
	%{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database &> /dev/null || :

%postun
update-desktop-database &> /dev/null || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%doc AUTHORS COPYING README NEWS THANKS
%{_datadir}/applications/*%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/ui

%changelog
* Fri Mar 21 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-3
- Rebuild with new poppler.

* Fri Feb 15 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-2
- Use standard scriptlets for updating desktop-database.
- Conditional buildreqs to build on F8 too.
- Preserve timestamps of unmodified files.

* Wed Feb 13 2008 Michal Schmidt <mschmidt@redhat.com> - 0.1.6-1
- Initial Fedora package.
